import { DispatchableError } from './interfaces';
/**
 * Erreur "enveloppant" une autre erreur.
 */
export declare class AppError<T> implements DispatchableError {
    readonly original: T;
    readonly message: string;
    readonly stack?: string;
    readonly transient: boolean;
    readonly isNullError = false;
    constructor(original: T, message: string, stack?: string, transient?: boolean);
    readonly name: string;
    dispatch(handler: any): boolean;
    protected getName(): string;
}
