import { HttpErrorResponse } from '@angular/common/http';
import { BadRequestError } from './http.error';
import { ConstraintViolation } from './interfaces';
/**
 * Erreur de validation retournée par api-platform.
 */
export declare class ConstraintViolations extends BadRequestError {
    readonly violations: ConstraintViolation[];
    constructor(original: HttpErrorResponse, message: string, violations: ConstraintViolation[]);
    dispatch(handler: any): boolean;
    static create(violations: ConstraintViolation[]): ConstraintViolations;
}
