import { HttpErrorResponse } from '@angular/common/http';
import { DispatchableError } from './interfaces';
/**
 * Transforme une valeur en erreur.
 *
 * Les informations intéressantes d'HttpErrorResponse et Error sont conservés.
 */
export declare function normalizeError(err: DispatchableError | HttpErrorResponse | Error | any): DispatchableError;
