import { AppError } from './app.error';
import { DispatchableError } from './interfaces';
/**
 * Erreur émise lorsqu'une exception ne peut pas être dispatchée.
 */
export declare class UnhandledError extends AppError<DispatchableError> {
    constructor(original: DispatchableError);
}
